Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Initial gem framework

  • Loading branch information...
commit 5bf130c239709d1b69d1284121a92d70f60abc62 0 parents
Morton Jonuschat yabawock authored
4 .gitignore
@@ -0,0 +1,4 @@
+*.gem
+.bundle
+Gemfile.lock
+pkg/*
4 Gemfile
@@ -0,0 +1,4 @@
+source "http://rubygems.org"
+
+# Specify your gem's dependencies in handlebars-rails.gemspec
+gemspec
2  Rakefile
@@ -0,0 +1,2 @@
+require 'bundler'
+Bundler::GemHelper.install_tasks
23 handlebars-rails.gemspec
@@ -0,0 +1,23 @@
+# -*- encoding: utf-8 -*-
+$:.push File.expand_path("../lib", __FILE__)
+require "handlebars-rails/version"
+
+Gem::Specification.new do |s|
+ s.name = "handlebars-rails"
+ s.version = Handlebars::Rails::VERSION
+ s.platform = Gem::Platform::RUBY
+ s.authors = ["Morton Jonuschat"]
+ s.email = ["yabawock@gmail.com"]
+ s.homepage = "https://github.com/yabawock/handlebars-rails"
+ s.summary = %q{Use handlebars.js with rails 3.1}
+ s.description = %q{Quickly setup handlebars.js for use with rails 3.1}
+
+ s.files = `git ls-files`.split("\n")
+ s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
+
+ s.require_paths = ["lib"]
+
+ s.add_development_dependency "bundler", "~> 1.0.0"
+ s.add_development_dependency "rails", "~> 3.1"
+end
5 lib/handlebars-rails.rb
@@ -0,0 +1,5 @@
+module Handlebars
+ module Rails
+ # Your code goes here...
+ end
+end
5 lib/handlebars-rails/version.rb
@@ -0,0 +1,5 @@
+module Handlebars
+ module Rails
+ VERSION = "0.0.1"
+ end
+end
Please sign in to comment.
Something went wrong with that request. Please try again.